You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     r...@freebsd.org
Last committer: sunp...@freebsd.org
Ident:          $FreeBSD: branches/2017Q3/devel/rubygem-soap4r/Makefile 414228 
2016-04-28 19:06:36Z sunpoet $
Log URL:        
http://beefy14.nyi.freebsd.org/data/110mips-quarterly/447785/logs/rubygem-soap4r-1.5.8.log
Build URL:      
http://beefy14.nyi.freebsd.org/build.html?mastername=110mips-quarterly&build=447785
Log:

====>> Building devel/rubygem-soap4r
build started at Sat Aug 12 08:46:55 UTC 2017
port directory: /usr/ports/devel/rubygem-soap4r
building for: FreeBSD 110mips-quarterly-job-20 11.0-RELEASE-p12 FreeBSD 
11.0-RELEASE-p12 1100122 mips
maintained by: r...@freebsd.org
Makefile ident:      $FreeBSD: branches/2017Q3/devel/rubygem-soap4r/Makefile 
414228 2016-04-28 19:06:36Z sunpoet $
Poudriere version: 3.1.19-61-ga8829ba9
Host OSVERSION: 1200033
Jail OSVERSION: 1100122
Job Id: 20

---Begin Environment---
SHELL=/bin/csh
UNAME_p=mips
UNAME_m=mips
ABI_FILE=/usr/lib/crt1.o
OSVERSION=1100122
UNAME_v=FreeBSD 11.0-RELEASE-p12 1100122
UNAME_r=11.0-RELEASE-p12
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/.m/110mips-quarterly/ref
QEMU_EMULATING=1
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=rubygem-soap4r-1.5.8
OLDPWD=/
PWD=/usr/local/poudriere/data/.m/110mips-quarterly/ref/.p/pool
MASTERNAME=110mips-quarterly
SCRIPTPREFIX=/usr/local/share/poudriere
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.19-61-ga8829ba9
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---

---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
---End Poudriere Port Flags/Env---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/devel/rubygem-soap4r/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/devel/rubygem-soap4r/work  
HOME=/wrkdirs/usr/ports/devel/rubygem-soap4r/work TMPDIR="/tmp" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh LANG=en_US.UTF-8 LC_ALL=en_US.UTF-8
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/devel/rubygem-soap4r/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/devel/rubygem-soap4r/work  
HOME=/wrkdirs/usr/ports/devel/rubygem-soap4r/work TMPDIR="/tmp" NO_PIE=yes 
MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES 
LANG=en_US.UTF-8 LC_ALL=en_US.UTF-8 PREFIX=/usr/local  LOCALBASE=/usr/local  
LIBDIR="/usr/lib"  CC="/nxb-bin/usr/bin/cc" CFLAGS="-O2 -pipe -G0  
-fno-strict-aliasing"  CPP="/nxb-bin/usr/bin/cpp" CPPFLAGS=""  LDFLAGS="" 
LIBS=""  CXX="/nxb-bin/usr/bin/c++" CXXFLAGS="-O2 -pipe -G0 
-fno-strict-aliasing "  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s 
-m 555"  BSD_INSTALL_LIB="install  -s -m 0644"  BSD_INSTALL_SCRIPT="install  -m 
555"  BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
RUBY_LIBDIR="lib/ruby/2.3"
RUBY_ARCHLIBDIR="lib/ruby/2.3/mips-freebsd11"
RUBY_SITELIBDIR="lib/ruby/site_ruby/2.3"
RUBY_SITEARCHLIBDIR="lib/ruby/site_ruby/2.3/mips-freebsd11"
RUBY_VENDORLIBDIR="lib/ruby/vendor_ruby/2.3"
RUBY_VENDORARCHLIBDIR="lib/ruby/vendor_ruby/2.3/mips-freebsd11"
RUBY_MODDOCDIR="share/doc/ruby23/soap4r"
RUBY_MODEXAMPLESDIR="share/examples/ruby23/soap4r"
RUBY_DOCDIR="share/doc/ruby23"
RUBY_EXAMPLESDIR="share/examples/ruby23"
RUBY_RIDIR="share/ri/2.3/system"
RUBY_SITERIDIR="share/ri/2.3/site"
RUBY_VERSION="2.3.4"
RUBY_VER="2.3"
RUBY_SHLIBVER="23"
RUBY_ARCH="mips-freebsd11"
RUBY_SUFFIX="23"
RUBY_NAME="ruby23"
RUBY_DEFAULT_SUFFIX="23"
RUBY22="@comment
"
RUBY23=""
RUBY24="@comment
"
PORTVERSION="1.5.8"
REV=""
GEMS_BASE_DIR="lib/ruby/gems/2.3"
GEMS_DIR="lib/ruby/gems/2.3/gems"
DOC_DIR="lib/ruby/gems/2.3/doc"
CACHE_DIR="lib/ruby/gems/2.3/cache"
SPEC_DIR="lib/ruby/gems/2.3/specifications"
EXT_DIR="lib/ruby/gems/2.3/extensions"
PORT="soap4r-1.5.8"
GEM_NAME="soap4r-1.5.8"
GEM_LIB_DIR="lib/ruby/gems/2.3/gems/soap4r-1.5.8"
GEM_DOC_DIR="lib/ruby/gems/2.3/doc/soap4r-1.5.8"
GEM_SPEC="lib/ruby/gems/2.3/specifications/soap4r-1.5.8.gemspec"
GEM_CACHE="lib/ruby/gems/2.3/cache/soap4r-1.5.8.gem"
EXTRACT_SUFX=".gem"
OSREL=11.0
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
DOCSDIR="share/doc/soap4r"
EXAMPLESDIR="share/examples/soap4r"
DATADIR="share/soap4r"
WWWDIR="www/soap4r"
ETCDIR="etc/soap4r"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/soap4r
DOCSDIR=/usr/local/share/doc/soap4r
EXAMPLESDIR=/usr/local/share/examples/soap4r
WWWDIR=/usr/local/www/soap4r
ETCDIR=/usr/local/etc/soap4r
--End SUB_LIST--

---Begin make.conf---
.sinclude "/etc/make.nxb.conf"
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
PACKAGE_BUILDING=yes
MACHINE=mips
MACHINE_ARCH=mips
ARCH=${MACHINE_ARCH}
#### /usr/local/etc/poudriere.d/make.conf ####
# XXX: We really need this but cannot use it while 'make checksum' does not
# try the next mirror on checksum failure.  It currently retries the same
# failed mirror and then fails rather then trying another.  It *does*
# try the next if the size is mismatched though.
#MASTER_SITE_FREEBSD=yes
# Build ALLOW_MAKE_JOBS_PACKAGES with 2 jobs
MAKE_JOBS_NUMBER=2
#### /usr/ports/Mk/Scripts/ports_env.sh ####
ARCH=mips
CONFIGURE_MAX_CMD_LEN=262144
OPSYS=FreeBSD
OSREL=11.0
OSVERSION=1100122
PYTHONBASE=/usr/local
UID=0
_JAVA_OS_LIST_REGEXP=native\|linux
_JAVA_VENDOR_LIST_REGEXP=openjdk\|oracle\|sun
_JAVA_VERSION_LIST_REGEXP=1.6\|1.7\|1.8\|1.6+\|1.7+\|1.8+
_OSRELEASE=11.0-RELEASE-p12
#### Misc Poudriere ####
GID=0
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
---Begin make.nxb.conf---
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
AS=/nxb-bin/usr/bin/as
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
READELF=/nxb-bin/usr/bin/readelf
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
---End make.nxb.conf---
--Resource limits--
cpu time               (seconds, -t)  unlimited
file size           (512-blocks, -f)  unlimited
data seg size           (kbytes, -d)  131072
stack size              (kbytes, -s)  8192
core file size      (512-blocks, -c)  unlimited
max memory size         (kbytes, -m)  unlimited
locked memory           (kbytes, -l)  unlimited
max user processes              (-u)  89999
open files                      (-n)  1024
virtual mem size        (kbytes, -v)  unlimited
swap limit              (kbytes, -w)  unlimited
socket buffer size       (bytes, -b)  unlimited
pseudo-terminals                (-p)  unlimited
kqueues                         (-k)  unlimited
umtx shared locks               (-o)  unlimited
--End resource limits--
=======================<phase: check-sanity   >============================
===>  License GPLv2+ RUBY accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   rubygem-soap4r-1.5.8 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.10.1.txz
[110mips-quarterly-job-20] Installing pkg-1.10.1...
[110mips-quarterly-job-20] Extracting pkg-1.10.1: .......... done
===>   rubygem-soap4r-1.5.8 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of rubygem-soap4r-1.5.8
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License GPLv2+ RUBY accepted by the user
===> Fetching all distfiles required by rubygem-soap4r-1.5.8 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License GPLv2+ RUBY accepted by the user
===> Fetching all distfiles required by rubygem-soap4r-1.5.8 for building
=> SHA256 Checksum OK for rubygem/soap4r-1.5.8.gem.
===========================================================================
=======================<phase: extract-depends>============================
===>   rubygem-soap4r-1.5.8 depends on file: /usr/local/bin/ruby23 - not found
===>   Installing existing package /packages/All/ruby-2.3.4_1,1.txz
[110mips-quarterly-job-20] Installing ruby-2.3.4_1,1...
[110mips-quarterly-job-20] `-- Installing libedit-3.1.20170329_2,1...
[110mips-quarterly-job-20] `-- Extracting libedit-3.1.20170329_2,1: .......... 
done
[110mips-quarterly-job-20] `-- Installing libffi-3.2.1...
[110mips-quarterly-job-20] |   `-- Installing indexinfo-0.2.6...
[110mips-quarterly-job-20] |   `-- Extracting indexinfo-0.2.6: .... done
[110mips-quarterly-job-20] `-- Extracting libffi-3.2.1: .......... done
[110mips-quarterly-job-20] `-- Installing libyaml-0.1.6_2...
[110mips-quarterly-job-20] `-- Extracting libyaml-0.1.6_2: ......... done
[110mips-quarterly-job-20] Extracting ruby-2.3.4_1,1: .......... done
Message from ruby-2.3.4_1,1:
====
Some of the standard commands are provided as separate ports for ease
of upgrading:

        devel/ruby-gems:        gem - RubyGems package manager
        devel/rubygem-rake:     rake - Ruby Make

And some of the standard libraries are provided as separate ports
since they require extra dependencies:

        databases/ruby-gdbm:    GDBM module

Install them as occasion demands.
====
===>   rubygem-soap4r-1.5.8 depends on file: /usr/local/bin/ruby23 - found
===>   Returning to build of rubygem-soap4r-1.5.8
===>   rubygem-soap4r-1.5.8 depends on file: /usr/local/bin/gem23 - not found
===>   Installing existing package /packages/All/ruby23-gems-2.6.12.txz
[110mips-quarterly-job-20] Installing ruby23-gems-2.6.12...
[110mips-quarterly-job-20] Extracting ruby23-gems-2.6.12: .......... done
===>   rubygem-soap4r-1.5.8 depends on file: /usr/local/bin/gem23 - found
===>   Returning to build of rubygem-soap4r-1.5.8
===========================================================================
=======================<phase: extract        >============================
===>  License GPLv2+ RUBY accepted by the user
===> Fetching all distfiles required by rubygem-soap4r-1.5.8 for building
===>  Extracting for rubygem-soap4r-1.5.8
=> SHA256 Checksum OK for rubygem/soap4r-1.5.8.gem.
Unpacked gem: '/wrkdirs/usr/ports/devel/rubygem-soap4r/work/soap4r-1.5.8'
===========================================================================
=======================<phase: patch-depends  >============================
===>   rubygem-soap4r-1.5.8 depends on file: /usr/local/bin/ruby23 - found
===========================================================================
=======================<phase: patch          >============================
===>  Patching for rubygem-soap4r-1.5.8
===========================================================================
=======================<phase: build-depends  >============================
===>   rubygem-soap4r-1.5.8 depends on file: /usr/local/bin/ruby23 - found
===>   rubygem-soap4r-1.5.8 depends on file: /usr/local/bin/gem23 - found
===========================================================================
=======================<phase: lib-depends    >============================
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for rubygem-soap4r-1.5.8
===========================================================================
=======================<phase: build          >============================
===>  Building for rubygem-soap4r-1.5.8
  Successfully built RubyGem
  Name: soap4r
  Version: 1.5.8
  File: soap4r-1.5.8.gem
===========================================================================
=======================<phase: run-depends    >============================
===>   rubygem-soap4r-1.5.8 depends on package: rubygem-httpclient>=2.1.1 - not 
found
===>   Installing existing package /packages/All/rubygem-httpclient-2.8.3.txz
[110mips-quarterly-job-20] Installing rubygem-httpclient-2.8.3...
[110mips-quarterly-job-20] Extracting rubygem-httpclient-2.8.3: .......... done
===>   rubygem-soap4r-1.5.8 depends on package: rubygem-httpclient>=2.1.1 - 
found
===>   Returning to build of rubygem-soap4r-1.5.8
===>   rubygem-soap4r-1.5.8 depends on file: /usr/local/bin/ruby23 - found
===>   rubygem-soap4r-1.5.8 depends on file: /usr/local/bin/gem23 - found
===========================================================================
=======================<phase: stage          >============================
===>  Staging for rubygem-soap4r-1.5.8
===>   Generating temporary packing list
(cd /wrkdirs/usr/ports/devel/rubygem-soap4r/work/soap4r-1.5.8; /usr/bin/env 
RB_USER_INSTALL=yes LANG=en_US.UTF-8 LC_ALL=en_US.UTF-8 /usr/local/bin/gem23 
install -l --no-update-sources --install-dir 
/wrkdirs/usr/ports/devel/rubygem-soap4r/work/stage/usr/local/lib/ruby/gems/2.3 
--ignore-dependencies 
--bindir=/wrkdirs/usr/ports/devel/rubygem-soap4r/work/stage/usr/local/bin 
--rdoc --ri soap4r-1.5.8.gem -- --build-args )
/usr/local/lib/ruby/site_ruby/2.3/rubygems/core_ext/kernel_require.rb:55:in 
`require': cannot load such file -- json/pure (LoadError)
        from 
/usr/local/lib/ruby/site_ruby/2.3/rubygems/core_ext/kernel_require.rb:55:in 
`require'
        from /usr/local/lib/ruby/2.3/json.rb:61:in `rescue in <module:JSON>'
        from /usr/local/lib/ruby/2.3/json.rb:58:in `<module:JSON>'
        from /usr/local/lib/ruby/2.3/json.rb:55:in `<top (required)>'
        from 
/usr/local/lib/ruby/site_ruby/2.3/rubygems/core_ext/kernel_require.rb:55:in 
`require'
        from 
/usr/local/lib/ruby/site_ruby/2.3/rubygems/core_ext/kernel_require.rb:55:in 
`require'
        from /usr/local/lib/ruby/2.3/rdoc/generator/json_index.rb:2:in `<top 
(required)>'
        from 
/usr/local/lib/ruby/site_ruby/2.3/rubygems/core_ext/kernel_require.rb:55:in 
`require'
        from 
/usr/local/lib/ruby/site_ruby/2.3/rubygems/core_ext/kernel_require.rb:55:in 
`require'
        from /usr/local/lib/ruby/2.3/rdoc/generator/darkfish.rb:176:in 
`initialize'
        from /usr/local/lib/ruby/2.3/rdoc/rubygems_hook.rb:126:in `new'
        from /usr/local/lib/ruby/2.3/rdoc/rubygems_hook.rb:126:in `document'
        from /usr/local/lib/ruby/2.3/rdoc/rubygems_hook.rb:203:in `generate'
        from /usr/local/lib/ruby/2.3/rdoc/rubygems_hook.rb:57:in `block in 
generation_hook'
        from /usr/local/lib/ruby/2.3/rdoc/rubygems_hook.rb:56:in `each'
        from /usr/local/lib/ruby/2.3/rdoc/rubygems_hook.rb:56:in 
`generation_hook'
        from 
/usr/local/lib/ruby/site_ruby/2.3/rubygems/commands/install_command.rb:242:in 
`block in install_gem_without_dependencies'
        from 
/usr/local/lib/ruby/site_ruby/2.3/rubygems/commands/install_command.rb:241:in 
`each'
        from 
/usr/local/lib/ruby/site_ruby/2.3/rubygems/commands/install_command.rb:241:in 
`install_gem_without_dependencies'
        from 
/usr/local/lib/ruby/site_ruby/2.3/rubygems/commands/install_command.rb:191:in 
`install_gem'
        from 
/usr/local/lib/ruby/site_ruby/2.3/rubygems/commands/install_command.rb:255:in 
`block in install_gems'
        from 
/usr/local/lib/ruby/site_ruby/2.3/rubygems/commands/install_command.rb:251:in 
`each'
        from 
/usr/local/lib/ruby/site_ruby/2.3/rubygems/commands/install_command.rb:251:in 
`install_gems'
        from 
/usr/local/lib/ruby/site_ruby/2.3/rubygems/commands/install_command.rb:158:in 
`execute'
        from /usr/local/lib/ruby/site_ruby/2.3/rubygems/command.rb:310:in 
`invoke_with_build_args'
        from 
/usr/local/lib/ruby/site_ruby/2.3/rubygems/command_manager.rb:169:in 
`process_args'
        from 
/usr/local/lib/ruby/site_ruby/2.3/rubygems/command_manager.rb:139:in `run'
        from /usr/local/lib/ruby/site_ruby/2.3/rubygems/gem_runner.rb:55:in 
`run'
        from /usr/local/bin/gem23:21:in `<main>'
Successfully installed soap4r-1.5.8
Parsing documentation for soap4r-1.5.8
Installing ri documentation for soap4r-1.5.8
*** Error code 1

Stop.
make: stopped in /usr/ports/devel/rubygem-soap4r
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to